Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
Python
from channel3_sdk import Channel3 from channel3_sdk.environment import Channel3Environment client = Channel3( api_key="<value>", environment=Channel3Environment.PRODUCTION, ) client.price_tracking.retrieve_history( canonical_product_id="canonical_product_id", )
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}}; fetch('https://api.trychannel3.com/v0/price-tracking/history/{canonical_product_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
curl --request GET \ --url https://api.trychannel3.com/v0/price-tracking/history/{canonical_product_id} \ --header 'x-api-key: <api-key>'
200
Example
Get price history for a canonical product.
Number of days of history to fetch (default 90, max 90)
1 <= x <= 90
Successful Response
Show child attributes
Was this page helpful?